%define rel 0.9
%define _legacy_common_support 1

Name:		novacom-server
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	Service for utility that connects to WebOS devices
Group:		Development/Tools
License:	Apache License
URL:		https://github.com/openwebos/novacomd
Source0:	https://github.com/openwebos/novacomd/tarball/versions/1.1.0-rc1/openwebos-novacomd-submissions-119.1-0-ge77d336.tar.gz
Source1:	novacomd.service
Source2:	config-novacomd
# This patch allows novacomd to work against Fedora's libusb
Patch0:		0001-Use-usb_bulk_-read-write-instead-of-homemade-handler.patch
# This patch forces the makefile to use our CFLAGS
Patch1:		novacomd_add_cflags.patch
# This patch muffles the logging of every packet to the device
Patch2:		novacomd-quiet-logging.patch
# This patch removes unused adler32 library from the makefile
Patch3:		novacomd-makefile-remove-adler32.patch
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Provides:	novacomd = %{version}-%{release}
BuildRequires:	pkgconfig(libusb)

%description
This novacomd service allows the novacom client to connect to WebOS
devices that are connected over USB.

%prep
%setup -q -n openwebos-novacomd-e77d336
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Remove unused and unneeded zlib headers and adler32 library
rm -f src/lib/cksum/adler32.c
rm -f src/lib/cksum/zlib.h

%build
%make_build host LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
install -pm 755 build-novacomd-host/novacomd %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/default
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/default/novacomd

%post
%_post_service novacomd
 
%preun
%_preun_service novacomd

%files
%doc README.md
%{_bindir}/novacomd
%{_unitdir}/novacomd.service
%config(noreplace) %{_sysconfdir}/default/novacomd



%changelog
* Fri Nov 13 2020 tv <tv> 1.1.0-0.9.mga8
+ Revision: 1644965
- fix build

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-0.8.mga8
+ Revision: 1515568
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-0.7.mga7
+ Revision: 1299792
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.1.0-0.6.mga6
+ Revision: 932987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-0.5.mga5
+ Revision: 741337
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-0.4.mga5
+ Revision: 682926
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.1.0-0.3.mga5
+ Revision: 643743
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-0.2.mga4
+ Revision: 523304
- Mageia 4 Mass Rebuild

* Sat Apr 06 2013 blino <blino> 1.1.0-0.1.mga3
+ Revision: 408609
- fix license tag
- simplify description
- no need to buildrequire systemd-units
- use buildroot macro
- use Mageia-compliant release number
- use Mageia helper scripts for systemd service
- use make macro, remove Fedora macros and BuildRoot
- use Mageia names for BuildRequires (libusb-devel)
- imported package novacom-server

